Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class AreaPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.OperandPtg
              org.apache.poi.hssf.record.formula.AreaPtgBase
                  org.apache.poi.hssf.record.formula.Area2DPtgBase
                      org.apache.poi.hssf.record.formula.AreaPtg

All Implemented Interfaces:
  java.lang.Cloneable, AreaI

    public final class AreaPtg

extends Area2DPtgBase

Specifies a rectangular area of cells A1:A4 for instance.

Author:
  Jason Height (jheight at chariot dot net dot au)

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.poi.hssf.record.formula.AreaI
`AreaI.OffsetArea`

Field Summary
`static short` | `sid`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`AreaPtg(AreaReference areaRef)`
`AreaPtg(int firstRow, int lastRow, int firstColumn, int lastColumn, boolean firstRowRelative, boolean lastRowRelative, boolean firstColRelative, boolean lastColRelative)`
`AreaPtg(LittleEndianInput in)`
`AreaPtg(java.lang.String arearef)`

Method Summary

Methods inherited from class org.apache.poi.hssf.record.formula.Area2DPtgBase
`getSize, toFormulaString, toString, write`

Methods inherited from class org.apache.poi.hssf.record.formula.AreaPtgBase
`getDefaultOperandClass, getFirstColumn, getFirstColumnRaw, getFirstRow, getLastColumn, getLastColumnRaw, getLastRow, isFirstColRelative, isFirstRowRelative, isLastColRelative, isLastRowRelative, setFirstColRelative, setFirstColumn, setFirstColumnRaw, setFirstRow, setFirstRowRelative, setLastColRelative, setLastColumn, setLastColumnRaw, setLastRow, setLastRowRelative`

Methods inherited from class org.apache.poi.hssf.record.formula.OperandPtg
`copy, isBaseToken`

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### AreaPtg

    public AreaPtg(int firstRow,
                   int lastRow,
                   int firstColumn,
                   int lastColumn,
                   boolean firstRowRelative,
                   boolean lastRowRelative,
                   boolean firstColRelative,
                   boolean lastColRelative)

### AreaPtg

    public AreaPtg(LittleEndianInput in)

### AreaPtg

    public AreaPtg(java.lang.String arearef)

### AreaPtg

    public AreaPtg(AreaReference areaRef)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD